import React from 'react';
import { ChatbotDisplayMode } from '../Chatbot';
export interface AttachmentEditProps {
    /** Text shown in code editor */
    code: string;
    /** Filename, including extension, of file shown in editor */
    fileName: string;
    /** Function that runs when cancel button is clicked  */
    onCancel: (event: React.MouseEvent | MouseEvent | KeyboardEvent) => void;
    /** Function that runs when save button is clicked; allows consumers to use the edited code string  */
    onSave: (event: React.MouseEvent | MouseEvent | KeyboardEvent, code: string) => void;
    /** Function that opens and closes modal */
    handleModalToggle: (event: React.MouseEvent | MouseEvent | KeyboardEvent) => void;
    /** Whether modal is open */
    isModalOpen: boolean;
    /** Title of modal */
    title?: string;
    /** Display mode for the Chatbot parent; this influences the styles applied */
    displayMode?: ChatbotDisplayMode;
}
export declare const AttachmentEdit: React.FunctionComponent<AttachmentEditProps>;
export default AttachmentEdit;
