import React from 'react';
export interface ChatbotProps {
    /** Content to be displayed in the chatbot */
    children: React.ReactNode;
    /** Display Mode for the Chatbot */
    displayMode?: ChatbotDisplayMode;
    /** Visibility flag for the chatbot */
    isVisible?: boolean;
    /** Custom classname for the Chatbot component */
    className?: string;
    /** Ref applied to chatbot  */
    innerRef?: React.Ref<HTMLDivElement>;
    /** Custom aria label applied to focusable container */
    ariaLabel?: string;
}
export declare enum ChatbotDisplayMode {
    default = "default",
    embedded = "embedded",
    docked = "docked",
    fullscreen = "fullscreen",
    drawer = "drawer"
}
declare const Chatbot: React.ForwardRefExoticComponent<ChatbotProps & React.RefAttributes<HTMLDivElement>>;
export default Chatbot;
