"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
require("@testing-library/jest-dom");
const react_1 = __importDefault(require("react"));
const react_2 = require("@testing-library/react");
const Chatbot_1 = __importDefault(require("./Chatbot"));
describe('Chatbot', () => {
    it('should render Chatbot with default display mode', () => {
        (0, react_2.render)(react_1.default.createElement(Chatbot_1.default, null, "Chatbot Content"));
        expect(react_2.screen.getByText('Chatbot Content')).toBeTruthy();
    });
    it('should render Chatbot with custom ariaLabel', () => {
        (0, react_2.render)(react_1.default.createElement(Chatbot_1.default, { ariaLabel: "Chatbot" }, "Chatbot Content"));
        expect(react_2.screen.getByLabelText('Chatbot')).toBeTruthy();
    });
    it('should render Chatbot with custom className', () => {
        const { container } = (0, react_2.render)(react_1.default.createElement(Chatbot_1.default, { ariaLabel: "Chatbot", className: "custom-class" }, "Chatbot Content"));
        const chatbotElement = container.querySelector('.custom-class');
        expect(chatbotElement).toBeInTheDocument();
    });
    it('should not render Chatbot', () => {
        (0, react_2.render)(react_1.default.createElement(Chatbot_1.default, { isVisible: false }, "Chatbot Content"));
        expect(react_2.screen.queryByLabelText('Chatbot')).toBeFalsy();
    });
});
