import React from 'react';
import { TooltipProps } from '@patternfly/react-core';
export interface ChatbotHeaderMenuProps {
    /** Callback function to attach to menu toggle on top right of chatbot header. */
    onMenuToggle: () => void;
    /** Custom classname for the header component */
    className?: string;
    /** Props spread to the PF Tooltip component wrapping the display mode dropdown */
    tooltipProps?: TooltipProps;
    /** Aria label for menu */
    menuAriaLabel?: string;
    /** Ref applied to menu */
    innerRef?: React.Ref<HTMLButtonElement>;
    /** Content used in tooltip */
    tooltipContent?: string;
}
export declare const ChatbotHeaderMenu: React.ForwardRefExoticComponent<ChatbotHeaderMenuProps & React.RefAttributes<HTMLButtonElement>>;
