"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatbotWelcomePrompt = void 0;
// ============================================================================
// Chatbot Layout - Chat - Welcome
// ============================================================================
const react_1 = __importDefault(require("react"));
const react_core_1 = require("@patternfly/react-core");
const ChatbotWelcomePrompt = (_a) => {
    var { title, description, prompts, className, testId } = _a, props = __rest(_a, ["title", "description", "prompts", "className", "testId"]);
    return (react_1.default.createElement("div", Object.assign({ "data-testid": testId, className: `pf-chatbot--layout--welcome ${className !== null && className !== void 0 ? className : ''}` }, props),
        react_1.default.createElement(react_core_1.Content, { component: react_core_1.ContentVariants.h1 },
            react_1.default.createElement("span", { className: "pf-chatbot__hello" }, title),
            react_1.default.createElement("br", null),
            react_1.default.createElement("span", { className: "pf-chatbot__question" }, description)),
        prompts && (react_1.default.createElement("div", { className: "pf-chatbot__prompt-suggestions" }, prompts === null || prompts === void 0 ? void 0 : prompts.map((prompt, index) => (react_1.default.createElement(react_core_1.Card, { key: `welcome-prompt-${index}`, className: "pf-chatbot__prompt-suggestion", isClickable: true },
            react_1.default.createElement(react_core_1.CardHeader, { selectableActions: {
                    onClickAction: prompt.onClick,
                    selectableActionId: `welcome-prompt-input-${index}`,
                    selectableActionAriaLabelledby: `welcome-prompt-title-${index}`
                } },
                react_1.default.createElement(react_core_1.CardTitle, { id: `welcome-prompt-title-${index}` }, prompt.title)),
            prompt.message && react_1.default.createElement(react_core_1.CardBody, null, prompt.message))))))));
};
exports.ChatbotWelcomePrompt = ChatbotWelcomePrompt;
exports.default = exports.ChatbotWelcomePrompt;
