import React, { PropsWithChildren } from 'react';
interface CompareProps {
    /** First of two children to render */
    firstChild: React.ReactNode;
    /** Second of two children to render */
    secondChild: React.ReactNode;
    /** Display name for first child, used in mobile toggle */
    firstChildDisplayName: string;
    /** Display name for second child, used in mobile toggle */
    secondChildDisplayName: string;
    /** Aria label for mobile toggle group */
    toggleGroupAriaLabel?: string;
    /** Callback for when mobile toggle is used */
    onToggleClick?: (event: MouseEvent | React.MouseEvent<any, MouseEvent> | React.KeyboardEvent<Element>) => void;
}
export declare const Compare: ({ firstChild, secondChild, firstChildDisplayName, secondChildDisplayName, onToggleClick, toggleGroupAriaLabel }: PropsWithChildren<CompareProps>) => React.JSX.Element;
export default Compare;
