"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileDetailsLabel = void 0;
const react_1 = __importDefault(require("react"));
const react_core_1 = require("@patternfly/react-core");
const FileDetails_1 = __importDefault(require("../FileDetails"));
const react_core_2 = require("@patternfly/react-core");
const react_icons_1 = require("@patternfly/react-icons");
const FileDetailsLabel = ({ fileName, fileId, isLoading, onClick, onClose, closeButtonAriaLabel, languageTestId, spinnerTestId }) => {
    const handleClose = (event) => {
        onClose && onClose(event, fileName, fileId);
    };
    return (react_1.default.createElement(react_core_1.Label, Object.assign({ className: "pf-chatbot__file-label" }, (onClose && { onClose: (event) => onClose(event, fileName, fileId) }), { closeBtn: react_1.default.createElement(react_core_1.Button, { type: "button", variant: "plain", "aria-label": closeButtonAriaLabel !== null && closeButtonAriaLabel !== void 0 ? closeButtonAriaLabel : `Close ${fileName}`, icon: react_1.default.createElement(react_icons_1.TimesIcon, null), onClick: handleClose }) }, (onClick && { onClick: (event) => onClick(event, fileName, fileId) })),
        react_1.default.createElement("div", { className: "pf-chatbot__file-label-contents" },
            react_1.default.createElement(FileDetails_1.default, { className: isLoading ? 'pf-chatbot__file-label-loading' : undefined, fileName: fileName, languageTestId: languageTestId }),
            isLoading && react_1.default.createElement(react_core_2.Spinner, { "data-testid": spinnerTestId, size: "sm" }))));
};
exports.FileDetailsLabel = FileDetailsLabel;
exports.default = exports.FileDetailsLabel;
