import { DropEvent } from '@patternfly/react-core';
import React from 'react';
import { ChatbotDisplayMode } from '../Chatbot';
export interface FileDropZoneProps {
    /** Content displayed when the drop zone is not currently in use */
    children?: React.ReactNode;
    /** Custom classname for the outer dropzone component */
    className?: string;
    /** Informational text that shows below the title in the drop zone */
    infoText?: string;
    /** When files are dropped or uploaded this callback will be called with all accepted files */
    onFileDrop: (event: DropEvent, data: File[]) => void;
    /** Display mode for the Chatbot parent; this influences the styles applied */
    displayMode?: ChatbotDisplayMode;
}
declare const FileDropZone: React.FunctionComponent<FileDropZoneProps>;
export default FileDropZone;
