import * as React from 'react';
import { QuickStart, QuickstartAction } from './types';
export declare const camelize: (str: string) => string;
export interface QuickStartTileProps {
    /** ClassName applied to the card */
    className?: string;
    /** The quickstart object triggered by this tile */
    quickStart: QuickStart;
    /** Event handler attached to the tile */
    onClick?: () => void;
    /** Action config for button rendered next to title */
    action?: QuickstartAction;
    /** Callback that returns active quick start value when clicked */
    onSelectQuickStart: (id?: string) => void;
    /** Label for the English word "minute". */
    minuteWord?: string;
    /** Label for the English word "minutes". */
    minuteWordPlural?: string;
    /** Label for the English word "Prerequisite" */
    prerequisiteWord?: string;
    /** Label for the English word "Prerequisites" */
    prerequisiteWordPlural?: string;
    /** Aria-label for the quick start description button */
    quickStartButtonAriaLabel?: string;
}
declare const QuickStartTile: React.FC<QuickStartTileProps>;
export default QuickStartTile;
