import React from 'react';
import { ButtonProps, DropEvent, TooltipProps } from '@patternfly/react-core';
export interface AttachButtonProps extends ButtonProps {
    /** Callback for when button is clicked */
    onClick?: (event: React.MouseEvent<HTMLButtonElement>) => void;
    /** Callback function for AttachButton when an attachment is made */
    onAttachAccepted?: (data: File[], event: DropEvent) => void;
    /** Class name for AttachButton */
    className?: string;
    /** Props to control if the AttachButton should be disabled */
    isDisabled?: boolean;
    /** Props to control the PF Tooltip component */
    tooltipProps?: Omit<TooltipProps, 'content'>;
    /** Ref applied to AttachButton and used in tooltip */
    innerRef?: React.Ref<any>;
    /** English text "Attach" used in the tooltip */
    tooltipContent?: string;
    /** Test id applied to input */
    inputTestId?: string;
}
export declare const AttachButton: React.ForwardRefExoticComponent<AttachButtonProps & React.RefAttributes<any>>;
