import React from 'react';
import { ButtonProps, TooltipProps } from '@patternfly/react-core';
export interface SendButtonProps extends ButtonProps {
    /** Callback for when button is clicked */
    onClick: (event: React.MouseEvent<HTMLButtonElement>) => void;
    /** Class Name for SendButton */
    className?: string;
    /** Props to control the PF Tooltip component */
    tooltipProps?: Omit<TooltipProps, 'content'>;
    /** English text "Send" used in the tooltip */
    tooltipContent?: string;
}
export declare const SendButton: React.FunctionComponent<SendButtonProps>;
export default SendButton;
