import React from 'react';
export interface MessageBoxProps extends React.HTMLProps<HTMLDivElement> {
    /** Content that can be announced, such as a new message, for screen readers */
    announcement?: string;
    /** Custom aria-label for scrollable portion of message box */
    ariaLabel?: string;
    /** Content to be displayed in the message box */
    children: React.ReactNode;
    /** Custom classname for the MessageBox component */
    className?: string;
    /** Ref applied to message box */
    innerRef?: React.Ref<HTMLDivElement>;
    /** Modifier that controls how content in MessageBox is positioned within the container */
    position?: 'top' | 'bottom';
}
export declare const MessageBox: React.ForwardRefExoticComponent<Omit<MessageBoxProps, "ref"> & React.RefAttributes<any>>;
export default MessageBox;
