"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_core_1 = require("@patternfly/react-core");
const react_2 = require("@testing-library/react");
const SettingsForm_1 = require("./SettingsForm");
describe('SettingsForm', () => {
    it('should render settingsForm with custom classname', () => {
        const { container } = (0, react_2.render)(react_1.default.createElement(SettingsForm_1.SettingsForm, { className: "custom-settings" }));
        expect(container.querySelector('.custom-settings')).toBeTruthy();
    });
    it('should render settingsForm with fields', () => {
        const fields = [
            {
                id: 'archived-chat',
                label: 'Archive chat',
                field: (react_1.default.createElement(react_core_1.Button, { id: "archived-chat", variant: "secondary" }, "Archive chat"))
            }
        ];
        (0, react_2.render)(react_1.default.createElement(SettingsForm_1.SettingsForm, { fields: fields }));
        expect(react_2.screen.getByRole('button', { name: 'Archive chat' })).toBeTruthy();
    });
});
