import React from 'react';
import { ModalProps } from '@patternfly/react-core';
import { ChatbotDisplayMode } from '../Chatbot';
export interface TermsOfUseProps extends ModalProps {
    /** Class applied to modal */
    className?: string;
    /** Action assigned to primary modal button */
    onPrimaryAction?: (event: React.MouseEvent | MouseEvent | KeyboardEvent) => void;
    /** Action assigned to secondary modal button */
    onSecondaryAction: (event: React.MouseEvent | MouseEvent | KeyboardEvent) => void;
    /** Name of primary modal button */
    primaryActionBtn?: string;
    /** Name of secondary modal button */
    secondaryActionBtn?: string;
    /** Function that handles modal toggle */
    handleModalToggle: (event: React.MouseEvent | MouseEvent | KeyboardEvent) => void;
    /** Whether modal is open */
    isModalOpen: boolean;
    /** Title of modal */
    title?: string;
    /** Display mode for the Chatbot parent; this influences the styles applied */
    displayMode?: ChatbotDisplayMode;
    /** Optional image displayed in header */
    image?: string;
    /** Alt text for optional image displayed in header */
    altText?: string;
    /** Ref applied to modal */
    innerRef?: React.Ref<HTMLDivElement>;
    /** OuiaID applied to modal */
    ouiaId?: string;
}
export declare const TermsOfUseBase: React.FunctionComponent<TermsOfUseProps>;
declare const TermsOfUse: React.ForwardRefExoticComponent<Omit<TermsOfUseProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default TermsOfUse;
