// ============================================================================
// Chatbot Header - Chatbot Conversation History Nav
// ============================================================================
import React from 'react';
// Import PatternFly components
import { Tooltip, MenuToggle, Dropdown } from '@patternfly/react-core';
import EllipsisIcon from '@patternfly/react-icons/dist/esm/icons/ellipsis-v-icon';
export const ChatbotConversationHistoryDropdown = ({ menuItems, menuClassName, onSelect, label }) => {
    const [isOpen, setIsOpen] = React.useState(false);
    const toggle = (toggleRef) => (React.createElement(Tooltip, { className: "pf-chatbot__tooltip", content: label !== null && label !== void 0 ? label : 'Conversation options', position: "bottom", 
        // prevents VO announcements of both aria label and tooltip
        aria: "none" },
        React.createElement(MenuToggle, { className: "pf-chatbot__history-actions", variant: "plain", "aria-label": label !== null && label !== void 0 ? label : 'Conversation options', ref: toggleRef, isExpanded: isOpen, onClick: () => setIsOpen(!isOpen), role: "menuitem" },
            React.createElement(EllipsisIcon, null))));
    return (React.createElement(Dropdown, { className: `pf-chatbot__selections ${menuClassName !== null && menuClassName !== void 0 ? menuClassName : ''}`, isOpen: isOpen, onSelect: (props) => {
            onSelect === null || onSelect === void 0 ? void 0 : onSelect(props);
            setIsOpen((prev) => !prev);
        }, onOpenChange: (isOpen) => setIsOpen(isOpen), popperProps: { position: 'right' }, shouldFocusToggleOnSelect: true, shouldFocusFirstItemOnOpen: true, toggle: toggle }, menuItems));
};
export default ChatbotConversationHistoryDropdown;
