import React from 'react';
import { TooltipProps, DropdownProps } from '@patternfly/react-core';
export interface ChatbotHeaderSelectorDropdownProps extends Omit<DropdownProps, 'toggle'> {
    /** Value of the selected dropdown item */
    value: string;
    /** Content to be displayed in the chatbot header */
    children: React.ReactNode;
    /** Custom classname for the header component */
    className?: string;
    /** Props spread to the PF Tooltip component wrapping the display mode dropdown */
    tooltipProps?: TooltipProps;
    /** Aria label for menu toggle */
    menuToggleAriaLabel?: string;
    /** Text displayed in Tooltip wrapping the display mode dropdown */
    tooltipContent?: string;
}
export declare const ChatbotHeaderSelectorDropdown: React.FunctionComponent<ChatbotHeaderSelectorDropdownProps>;
export default ChatbotHeaderSelectorDropdown;
