import React from 'react';
import { SplitItem } from '@patternfly/react-core';
import { ChatbotDisplayMode } from '../Chatbot/Chatbot';
export const ChatbotHeaderTitle = ({ className, children, displayMode, showOnFullScreen, showOnDocked, showOnEmbedded, showOnDrawer, showOnDefault }) => {
    const renderChildren = () => {
        if (displayMode) {
            /* eslint-disable indent */
            switch (displayMode) {
                case ChatbotDisplayMode.fullscreen:
                    return showOnFullScreen !== null && showOnFullScreen !== void 0 ? showOnFullScreen : showOnDefault;
                case ChatbotDisplayMode.docked:
                    return showOnDocked !== null && showOnDocked !== void 0 ? showOnDocked : showOnDefault;
                case ChatbotDisplayMode.embedded:
                    return showOnEmbedded !== null && showOnEmbedded !== void 0 ? showOnEmbedded : showOnDefault;
                case ChatbotDisplayMode.drawer:
                    return showOnDrawer !== null && showOnDrawer !== void 0 ? showOnDrawer : showOnDefault;
                default:
                    return showOnDefault;
            }
            /* eslint-enable indent */
        }
        else {
            return children;
        }
    };
    return (React.createElement(SplitItem, { isFilled: true, className: `pf-chatbot__title ${className || ''}` }, renderChildren()));
};
export default ChatbotHeaderTitle;
