import React from 'react';
import { ButtonProps, TooltipProps } from '@patternfly/react-core';
export interface ChatbotToggleProps extends ButtonProps {
    /** Contents of the tooltip applied to the toggle button */
    tooltipLabel: React.ReactNode;
    /** Props spread to the PF Tooltip component */
    tooltipProps?: Omit<TooltipProps, 'content'>;
    /** Flag indicating visibility of the chatbot appended to the toggle */
    isChatbotVisible?: boolean;
    /** Callback fired when toggle button is clicked */
    onToggleChatbot?: () => void;
    /** Accessible label for the toggle button */
    toggleButtonLabel?: string;
    /** An image displayed in the chatbot toggle when it is closed */
    closedToggleIcon?: () => JSX.Element;
    /** Ref applied to toggle */
    innerRef?: React.Ref<HTMLButtonElement>;
    /** Whether toggle is a circle */
    isRound?: boolean;
    /** Class name applied to toggle */
    className?: string;
    /** Test id applied to default open icon */
    openIconTestId?: string;
}
declare const ChatbotToggle: React.ForwardRefExoticComponent<ChatbotToggleProps & React.RefAttributes<any>>;
export default ChatbotToggle;
