import React from 'react';
export interface ChatbotWelcomePromptProps extends React.HTMLProps<HTMLDivElement> {
    /** Title for the welcome message*/
    title: string;
    /** Welcome message */
    description: string;
    /** Custom basic prompts to help users coming for the first time to chatbot */
    prompts?: WelcomePrompt[];
    /** Custom classname for the WelcomePrompt component */
    className?: string;
    /** Custom test id for the WelcomePrompt component */
    testId?: string;
}
export interface WelcomePrompt {
    /** Message for the welcome prompt */
    message?: string;
    /** Title for the welcome prompt */
    title: string;
    /** Callback handler for the onClick event for welcome prompt */
    onClick?: () => void;
}
export declare const ChatbotWelcomePrompt: React.FunctionComponent<ChatbotWelcomePromptProps>;
export default ChatbotWelcomePrompt;
