import React, { PropsWithChildren } from 'react';
interface FileDetailsLabelProps {
    /** Name of file, including extension */
    fileName: string;
    /** Unique id of file */
    fileId?: string | number;
    /** Whether to display loading icon */
    isLoading?: boolean;
    /** Callback function for when label is clicked */
    onClick?: (event: React.MouseEvent, fileName: string, fileId?: string | number) => void;
    /** Callback function for when close button is clicked */
    onClose?: (event: React.MouseEvent, fileName: string, fileId?: string | number) => void;
    /** Aria label for close button */
    closeButtonAriaLabel?: string;
    /** Custom test id for the component-generated language */
    languageTestId?: string;
    /** Custom test id for the loading spinner in the component */
    spinnerTestId?: string;
}
export declare const FileDetailsLabel: ({ fileName, fileId, isLoading, onClick, onClose, closeButtonAriaLabel, languageTestId, spinnerTestId }: PropsWithChildren<FileDetailsLabelProps>) => React.JSX.Element;
export default FileDetailsLabel;
