import React from 'react';
import { LabelGroupProps, LabelProps } from '@patternfly/react-core';
export interface QuickResponse extends Omit<LabelProps, 'children'> {
    content: string;
    id: string;
    onClick?: () => void;
}
export interface QuickResponseProps {
    /** Props for quick responses */
    quickResponses: QuickResponse[];
    /** Props for quick responses container */
    quickResponseContainerProps?: Omit<LabelGroupProps, 'ref'>;
    /** Callback when a response is clicked; used in feedback cards */
    onSelect?: (id: string) => void;
}
export declare const QuickResponse: React.FunctionComponent<QuickResponseProps>;
export default QuickResponse;
