import * as React from 'react';
interface QuickStartTileDescriptionProps {
    /** QuickStart description */
    description: string;
    /** QuickStart prerequisites */
    prerequisites?: string[];
    /** Label for the English word "Prerequisite" */
    prerequisiteWord?: string;
    /** Label for the English word "Prerequisites" */
    prerequisiteWordPlural?: string;
    /** Aria-label for the quick start button */
    quickStartButtonAriaLabel?: string;
}
/** This function is a helper for pluralizing strings stolen from React.
 *
 * @param {number} i The quantity of the string you want to pluralize
 * @param {string} singular The singular version of the string
 * @param {string} plural The change to the string that should occur if the quantity is not equal to 1.
 *                 Defaults to adding an 's'.
 */
export declare function pluralizeWord(i: number, singular: string, plural?: string): string;
declare const QuickStartTileDescription: React.FC<QuickStartTileDescriptionProps>;
export default QuickStartTileDescription;
