import React from 'react';
import { ButtonProps, TooltipProps } from '@patternfly/react-core';
export interface StopButtonProps extends ButtonProps {
    /** Callback for when button is clicked */
    onClick: (event: React.MouseEvent<HTMLButtonElement>) => void;
    /** Class name for StopButton */
    className?: string;
    /** Props to control the PF Tooltip component */
    tooltipProps?: Omit<TooltipProps, 'content'>;
    /** English text "Stop" used in the tooltip */
    tooltipContent?: string;
}
export declare const StopButton: React.FunctionComponent<StopButtonProps>;
export default StopButton;
