import React from 'react';
import { ChatbotDisplayMode } from '../Chatbot';
export interface PreviewAttachmentProps {
    /** Text shown in code editor */
    code: string;
    /** Filename, including extension, of file shown in modal */
    fileName: string;
    /** Function called when edit button is clicked */
    onEdit: (event: React.MouseEvent | MouseEvent | KeyboardEvent) => void;
    /** Function called when dismiss button is clicked */
    onDismiss?: (event: React.MouseEvent | MouseEvent | KeyboardEvent) => void;
    /** Function called when modal is toggled */
    handleModalToggle: (event: React.MouseEvent | MouseEvent | KeyboardEvent) => void;
    /** Whether modal is open */
    isModalOpen: boolean;
    /** Title of modal */
    title?: string;
    /** Display mode for the Chatbot parent; this influences the styles applied */
    displayMode?: ChatbotDisplayMode;
}
export declare const PreviewAttachment: React.FunctionComponent<PreviewAttachmentProps>;
export default PreviewAttachment;
