import React from 'react';
import { TooltipProps } from '@patternfly/react-core';
export interface ResponseActionButtonProps {
    /** Aria-label for the button. Defaults to the value of the tooltipContent if none provided */
    ariaLabel?: string;
    /** Aria-label for the button, shown when the button is clicked. Defaults to the value of ariaLabel or tooltipContent if not provided. */
    clickedAriaLabel?: string;
    /** Icon for the button */
    icon: React.ReactNode;
    /** On-click handler for the button */
    onClick?: ((event: MouseEvent | React.MouseEvent<Element, MouseEvent> | KeyboardEvent) => void) | undefined;
    /** Class name for the button */
    className?: string;
    /** Props to control if the attach button should be disabled */
    isDisabled?: boolean;
    /** Content shown in the tooltip */
    tooltipContent?: string;
    /** Content shown in the tooltip when the button is clicked. Defaults to the value of tooltipContent if not provided. */
    clickedTooltipContent?: string;
    /** Props to control the PF Tooltip component */
    tooltipProps?: TooltipProps;
    /** Whether button is in clicked state */
    isClicked?: boolean;
    /** Ref applied to button  */
    innerRef?: React.Ref<HTMLButtonElement>;
}
export declare const ResponseActionButtonBase: React.FunctionComponent<ResponseActionButtonProps>;
declare const ResponseActionButton: React.ForwardRefExoticComponent<ResponseActionButtonProps & React.RefAttributes<HTMLButtonElement>>;
export default ResponseActionButton;
