import React from 'react';
import { CardProps } from '@patternfly/react-core';
export interface SourcesCardProps extends CardProps {
    /** Additional classes for the pagination navigation container. */
    className?: string;
    /** Flag indicating if the pagination is disabled. */
    isDisabled?: boolean;
    /** Label for the English word "of". */
    ofWord?: string;
    /** Accessible label for the pagination component. */
    paginationAriaLabel?: string;
    /** Content rendered inside the paginated card */
    sources: {
        title?: string;
        link: string;
        body?: React.ReactNode | string;
    }[];
    /** Label for the English word "source" */
    sourceWord?: string;
    /** Plural for sourceWord */
    sourceWordPlural?: string;
    /** Accessible label for the button which moves to the next page. */
    toNextPageAriaLabel?: string;
    /** Accessible label for the button which moves to the previous page. */
    toPreviousPageAriaLabel?: string;
    /** Function called when user clicks to navigate to next page. */
    onNextClick?: (event: React.SyntheticEvent<HTMLButtonElement>, page: number) => void;
    /** Function called when user clicks to navigate to previous page. */
    onPreviousClick?: (event: React.SyntheticEvent<HTMLButtonElement>, page: number) => void;
    /** Function called when page is changed. */
    onSetPage?: (event: React.MouseEvent | React.KeyboardEvent | MouseEvent, newPage: number) => void;
}
declare const SourcesCard: React.FunctionComponent<SourcesCardProps>;
export default SourcesCard;
