---
section: PatternFly-AI
subsection: ChatBot
id: Overview
sortValue: 1
source: About
---

**Note:** The PatternFly ChatBot extension lives in its own package [`@patternfly/chatbot`](https://www.npmjs.com/package/@patternfly/chatbot)

It is important to leverage AI in a way that improves the experiences of your users. In alignment with our [AI principles](/patternfly-ai/about-ai#ai-principles) and [ethical design guidelines,](/patternfly-ai/ai-guidelines) we've created this ChatBot extension. The PatternFly ChatBot contains a React implementation of an AI ChatBot, to provide your users with access to convenient and persistent help.

_Only use this ChatBot when it adds value to your users' experiences._ Don't use it simply for the sake of novelty&mdash;your users will only be excited to interact with a new ChatBot feature if it directly helps them reach their goals.

## ChatBot demos

To illustrate the capabilities of the ChatBot, including more complex interaction patterns, we've created these demos: 
- [Basic ChatBot](/patternfly-ai/chatbot/overview/demo#basic-chatbot)
- [Embedded ChatBot](/patternfly-ai/chatbot/overview/demo#embedded-chatbot)
- [Comparing ChatBots](/patternfly-ai/chatbot/overview/demo/#comparing-chatbots)
- [Message feedback](/patternfly-ai/chatbot/messages/demo#message-feedback)
- [ChatBot attachments via file upload](/patternfly-ai/chatbot/messages/demo#attach-via-upload-button-in-message-bar)
- [ChatBot attachments via built-in menu](/patternfly-ai/chatbot/messages/demo#attach-via-menu-of-options-in-message-bar)

To learn how to write for ChatBot experiences, refer to our [conversation design guidelines](/patternfly-ai/conversation-design/#writing-for-chatbots).

To learn how to design ChatBot experiences, [refer to the design guidelines](/patternfly-ai/chatbot/overview/design-guidelines).

Explore our documentation, which covers both ChatBot UI components and message-related components:
- UI
    - [Structural elements](/patternfly-ai/chatbot/ui#structure)
    - [Toggle](/patternfly-ai/chatbot/ui#toggle)
    - [Header](/patternfly-ai/chatbot/ui#header)
    - [Footer](/patternfly-ai/chatbot/ui#footer)
    - [Navigation](/patternfly-ai/chatbot/ui#navigation)
    - [Modals](/patternfly-ai/chatbot/ui#modals)
- Messages
    - [Bot and user messages](/patternfly-ai/chatbot/messages)
    - [File attachments](/patternfly-ai/chatbot/messages#attachments)
- Analytics support
    - [Overview](/patternfly-ai/chatbot/analytics)
  

We will continue to grow and evolve our ChatBot. If you notice a bug or have any suggestions, feel free to file an issue in our [GitHub repository!](https://github.com/patternfly/chatbot/issues) Make sure to check if there is already a pre-existing issue before creating a new one.
